30 января 2015

Релиз офисного пакета LibreOffice версии 4.4

Организация The Document Foundation после пяти месяцев разработки представила новый значительный выпуск офисного пакета LibreOffice - 4.4. Это девятый выпуск проекта после ответвления от кодовой базы OpenOffice.org.

Среди наиболее заметных изменений можно отметить возможность заверения PDF-документов цифровой подписью, реорганизация панелей инструментов, контекстных меню и диалогов, модернизация системы отслеживания изменений, шаблоны составных документов, улучшение поддержки импорта OOXML, Adobe Pagemaker, Visio и Abiword, возможность подсоединения к серверу SharePoint, задействование нового OpenGL-фреймворка в Impress, добавление новых шаблонов, включение в поставку свободных аналогов шрифтов Microsoft C-Fonts Calibri и Cambria, новый диалог выбора цвета, устранение ошибок, выявленных в результате проверки через систему Coverity Scan.


О всех изменениях и улучшениях можно посмотреть в примечаниях к выпуску LibreOffice 4.4 на русском языке.

Установка LibreOffice 4.4 в Ubuntu 14.04/14.10

Примечание 1. В Ubuntu 15.04 LibreOffice версии 4.4 уже обновлён по умолчанию.

Примечание 2. Перед установкой новой версии, старую удалять не нужно.

Откройте терминал, скопируйте и выполните следующие команды:

sudo add-apt-repository ppa:libreoffice/ppa
sudo apt-get update
sudo apt-get install libreoffice


Подробности журнала изменений: LibreOffice 4.4

Удачи.

23 комментария :

  1. Что то не нашел вышеупомянутых шрифтов

    ОтветитьУдалить
    Ответы
    1. Наверное потому что аналогов шрифтов Microsoft C-Fonts Calibri и Cambria

      Удалить
    2. как называются эти аналоги?

      Удалить
  2. Русификации почему то нет.

    ОтветитьУдалить
    Ответы
    1. ==Русификации почему то нет.== Добавь:

      sudo apt-get install libreoffice-l10n-ru libreoffice-help-ru

      Удалить
    2. Так и сделал, но из Synaptic.
      Другая проблема, в меню шрифт мелковат.

      Удалить
  3. Русификации нет, потому что этот тред про LibreOffice.

    ОтветитьУдалить
  4. Это хорошо, но хочу сказать, в основном по работе мне нужен аналог вордла, как ни крути нет конечного результата, на печать выходит с смещением страниц, нашел выход, Абиворлд. Но это только если. Короче, нашел фичю. Все дело в шрифте. Изначачально печатаю в эриал, когда выходишь на печать в винде меняем шрифт на готик санс, и все четко, геморойно, но пара лишних кликов себя оправдывает. С таблицами еще ковыряюсь.

    ОтветитьУдалить
    Ответы
    1. > в основном по работе мне нужен аналог вордла, как ни крути нет конечного результата, на печать выходит с смещением страниц, нашел выход, Абиворлд. >

      Abiword имеет много проблем. Может испортить вид документа, часто вылетает.

      Ещё есть вариант, преобразовывать в формат PDF перед печатью. Больше вероятность, что не исказится.

      Также попробуйте бесплатный SoftMaker - при составлении документа не так удобен, как LibreOffice, но в MS Word более совместим. Есть платная версия, а есть и бесплатная. http://www.softmaker.com/english/ofldemo_en.htm

      Удалить
    2. Сталкивался с такими же проблемами. Проверено: при переводе документа, подготовленного к печати, в PDF никаких проблем не будет. Во всяком случае мне это помогло.

      Удалить
  5. Не исключено, что причина - где-то в моей системе (Ubuntu 14.04 x64), но после установки Libre 4.4 Writer постоянно вылетает, когда начинаю менять настройки страницы или редактирую абзацы в таблице. Вылетал при копировании содержания одной ячейки в другую... В общем, попытаюсь вернуться к прежней версии.

    ОтветитьУдалить
    Ответы
    1. Попытаюсь, потому что пока получаю только "Следующие пакеты имеют неудовлетворённые зависимости:

      libreoffice: Depends: libreoffice-core (= 1:4.2.7-0ubuntu2) но 1:4.2.7-0ubuntu2 должен быть установлен".

      Удалить
    2. ==libreoffice: Depends: libreoffice-core (= 1:4.2.7-0ubuntu2) но 1:4.2.7-0ubuntu2 должен быть установлен".== Когда появляется такое извещение, значит есть возможность установить необходимые зависимости. Их нужно установить чтобы установилась сама программа. Для установки необходимых зависимостей существует универсальная терминальная команда:

      sudo apt-get install -f

      Удалить
    3. Если ничего не поможет, просто отключите репозиторий и удалите все пакеты libreoffice, которые найдете в Synaptic. Затем установите оффис заново, он поставится уже из стандартных репозиториев Убунту, вот и все.

      Удалить
    4. Вот тоже, от DE зависит и от системы , в Zorine как по маслу. Я его в офисе только и пользую. И поставил на 6 компов. Завязал в сеть, нас устраивает. И 1С тоже четко в нем. В Минте и убунте не хотело.

      Удалить
  6. Увы. DE - Unity, ядро - 3.18 (пришлось ставить, чтоб заработала сенсорная панель). И после remove, и после purge ругался на битые пакеты, поэтому проделал всё из "Как исправить битые пакеты с помощью терминала/Центра приложений в Ubuntu/Linux Mint" (соответственно, неоднократно и sudo apt-get install -f). Не помогло. Удалил и добавленный репозиторий. Короче, чтоб хоть что-то было скачал деб-пакеты с их сайта, установил Либре 4.4. Глючит так же. Чувствую, поторопился я :)

    ОтветитьУдалить
  7. Возможно конечно старую версию удалять не надо, но у меня например почему то теперь две версии , новая и старая. Как удалить старую 4.3.5.2?

    ОтветитьУдалить
    Ответы
    1. Установи Synaptic, если не установлен: sudo apt-get install synaptic, открой его, введи в поле поиска libreoffice и удали версию 4.3.5.2.

      Удалить
  8. поставил ядро 3.19, и теперь вот такая фигня:
    "Невозможно запустить приложение.
    Пользовательская установка не может быть завершена."

    ОтветитьУдалить
  9. пока мой коммент ожидал модерации, вопрос разрешился уже :)

    ОтветитьУдалить
    Ответы
    1. А как разрешился, если не секрет?

      Удалить
  10. Этот комментарий был удален автором.

    ОтветитьУдалить
    Ответы
    1. 1. Прежде всего нужно удалить репозиторий, если он был подключен, сделать обновление и удалить libreoffice:

      sudo add-apt-repository -r ppa:libreoffice/ppa
      sudo apt-get update
      sudo apt-get remove libreoffice*

      В этом случае удалится версия libreoffice 4.4.1.

      2. Установить libreoffice, который идёт по умолчанию в текущем дистрибутиве.

      sudo apt-get install libreoffice

      Вот, как-то как, в терминале можно удалить новую версию и установить версию по умолчанию.

      Удалить